<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>

*{
            margin: 0px;
            padding:0px; 
        }
     h1{
        border: 3px solid black;
        color: palevioletred;
        text-align: left;
        font-size: 30px;
        margin: 5px;
        padding: 2%;
     }
     h2{
        font-family: sans-serif;
        font-size:larger;
        font-style: italic;
        text-align: center;
      background-color: blueviolet;
       
     }

     p{
        line-height: 2;
        font-size: 25px;
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif';
        
     }
 
     .customstyle
     {
        color:brown;
        border: 2px dotted blue;
        background-color: yellow;
        font-size: 24px;
     }
#head3{
    border: 5px dotted black;
    font-size: 24px;
    margin: 10px;
    background-color: skyblue;
}
    </style>
</head>
<body>
    
    <h1 style="color:blue; background-color: red;">Heading 1</h1>
    <h1>Css learning</h1>
    <h2 style="text-align: right; font-family:'Courier New', Courier, monospace;
    font-size: 40px; font-weight: bold;">Heading 2 your styles</h2>
    
    <p class="customstyle">Lorem ipsum dolor sit amet consectetur, adipisicing elit. 
        Dolorum, fuga magni. Quae inventore tempore itaque consectetur 
        assumenda et repudiandae maxime velit quia pariatur, 
        ab doloremque saepe nemo illum cupiditate suscipit?
    </p>
<h3 class="customstyle" style="color:blueviolet" id="head3">Heading 3</h3>
<h4 class="customstyle">heading 4</h4>
</body>
</html>
<!-- Cascading Style sheet:-heirarachy which indicates which type of css to implement :- internal,inline,external -->
<!-- if same element have two properties one is inline and another one is internal then inline css have more priority -->
<!-- element or tag selector :- eg.. h1,p -->
<!-- Universal selector:- *{} removes space between the heading tags or anyy specific tags -->
<!-- Class Selector  it is used  for specific elements in tags:- .custumstyle{} -->
<!-- Id selector #head3 -->
<!-- Id has more prriority than class  -->